# PulpDebClient::AptRepositorySyncURL

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remote** | **String** | A remote to sync from. This will override a remote set on repository. | [optional] 
**mirror** | **Boolean** | If &#x60;&#x60;True&#x60;&#x60;, synchronization will remove all content that is not present in the remote repository. If &#x60;&#x60;False&#x60;&#x60;, sync will be additive only. | [optional] [default to false]
**optimize** | **Boolean** | Using optimize sync, will skip the processing of metadata if the checksum has not changed since the last sync. This greately improves re-sync performance in such situations. If you feel the sync is missing something that has changed about the remote repository you are syncing, try using optimize&#x3D;False for a full re-sync. Consider opening an issue on why we should not optimize in your use case. | [optional] [default to true]

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::AptRepositorySyncURL.new(remote: null,
                                 mirror: null,
                                 optimize: null)
```


