# PulpDebClient::Copy

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**config** | [**Object**](.md) | A JSON document describing sources, destinations, and content to be copied | 
**structured** | **Boolean** | Also copy any distributions, components, and releases as needed for any packages being copied. This will allow for structured publications of the target repository.Default is set to True | [optional] [default to true]
**dependency_solving** | **Boolean** | Also copy dependencies of any packages being copied. NOT YETIMPLEMENTED! You must keep this at \&quot;False\&quot;! | [optional] [default to false]

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::Copy.new(config: null,
                                 structured: null,
                                 dependency_solving: null)
```


