# PulpDebClient::DebInstallerFileIndex

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 
**component** | **String** | Component of the component - architecture combination. | 
**architecture** | **String** | Architecture of the component - architecture combination. | 
**relative_path** | **String** | Path of directory containing MD5SUMS and SHA256SUMS relative to url. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebInstallerFileIndex.new(repository: null,
                                 artifacts: null,
                                 component: null,
                                 architecture: null,
                                 relative_path: null)
```


