# PulpDebClient::DebPackage

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | [optional] 
**file** | **File** | An uploaded file that may be turned into the content unit. | [optional] 
**upload** | **String** | An uncommitted upload that may be turned into the content unit. | [optional] 
**distribution** | **String** | Name of the distribution. | [optional] 
**component** | **String** | Name of the component. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebPackage.new(repository: null,
                                 artifact: null,
                                 relative_path: null,
                                 file: null,
                                 upload: null,
                                 distribution: null,
                                 component: null)
```


