# PulpDebClient::DebReleaseFile

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 
**codename** | **String** | Codename of the release, e.g. \&quot;buster\&quot;. | [optional] 
**suite** | **String** | Suite of the release, e.g. \&quot;stable\&quot;. | [optional] 
**distribution** | **String** | Distribution of the release, e.g. \&quot;stable/updates\&quot;. | 
**relative_path** | **String** | Path of file relative to url. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebReleaseFile.new(repository: null,
                                 artifacts: null,
                                 codename: null,
                                 suite: null,
                                 distribution: null,
                                 relative_path: null)
```


