# PulpDebClient::DebSourcePackageResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | [readonly] 
**relative_path** | **String** | Relative path of the Debian Source Control (dsc) file.It is normally advised to let Pulp generate this. | [optional] 
**format** | **String** |  | [optional] [readonly] 
**source** | **String** |  | [optional] [readonly] 
**binary** | **String** |  | [optional] [readonly] 
**architecture** | **String** |  | [optional] [readonly] 
**version** | **String** |  | [optional] [readonly] 
**maintainer** | **String** |  | [optional] [readonly] 
**uploaders** | **String** |  | [optional] [readonly] 
**homepage** | **String** |  | [optional] [readonly] 
**vcs_browser** | **String** |  | [optional] [readonly] 
**vcs_arch** | **String** |  | [optional] [readonly] 
**vcs_bzr** | **String** |  | [optional] [readonly] 
**vcs_cvs** | **String** |  | [optional] [readonly] 
**vcs_darcs** | **String** |  | [optional] [readonly] 
**vcs_git** | **String** |  | [optional] [readonly] 
**vcs_hg** | **String** |  | [optional] [readonly] 
**vcs_mtn** | **String** |  | [optional] [readonly] 
**vcs_snv** | **String** |  | [optional] [readonly] 
**testsuite** | **String** |  | [optional] [readonly] 
**dgit** | **String** |  | [optional] [readonly] 
**standards_version** | **String** |  | [optional] [readonly] 
**build_depends** | **String** |  | [optional] [readonly] 
**build_depends_indep** | **String** |  | [optional] [readonly] 
**build_depends_arch** | **String** |  | [optional] [readonly] 
**build_conflicts** | **String** |  | [optional] [readonly] 
**build_conflicts_indep** | **String** |  | [optional] [readonly] 
**build_conflicts_arch** | **String** |  | [optional] [readonly] 
**package_list** | **String** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebSourcePackageResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifacts: null,
                                 relative_path: null,
                                 format: null,
                                 source: null,
                                 binary: null,
                                 architecture: null,
                                 version: null,
                                 maintainer: null,
                                 uploaders: null,
                                 homepage: null,
                                 vcs_browser: null,
                                 vcs_arch: null,
                                 vcs_bzr: null,
                                 vcs_cvs: null,
                                 vcs_darcs: null,
                                 vcs_git: null,
                                 vcs_hg: null,
                                 vcs_mtn: null,
                                 vcs_snv: null,
                                 testsuite: null,
                                 dgit: null,
                                 standards_version: null,
                                 build_depends: null,
                                 build_depends_indep: null,
                                 build_depends_arch: null,
                                 build_conflicts: null,
                                 build_conflicts_indep: null,
                                 build_conflicts_arch: null,
                                 package_list: null)
```


