# PulpDebClient::DebAptPublicationResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**repository_version** | **String** |  | [optional] 
**repository** | **String** | A URI of the repository to be published. | [optional] 
**simple** | **Boolean** | Activate simple publishing mode (all packages in one release component). | [optional] [default to false]
**structured** | **Boolean** | Activate structured publishing mode. | [optional] [default to true]
**signing_service** | **String** | Sign Release files with this signing key | [optional] 
**publish_upstream_release_fields** | **Boolean** |  | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebAptPublicationResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 repository_version: null,
                                 repository: null,
                                 simple: null,
                                 structured: null,
                                 signing_service: null,
                                 publish_upstream_release_fields: null)
```


