# PulpDebClient::DebSourceIndex

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**artifacts** | [**Object**](.md) | A dict mapping relative paths inside the Content to the correspondingArtifact URLs. E.g.: {&#39;relative/path&#39;: &#39;/artifacts/1/&#39; | 
**release** | **String** | Release this index file belongs to. | 
**component** | **String** | Component this index file belongs to. | 
**relative_path** | **String** | Path of file relative to url. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebSourceIndex.new(repository: null,
                                 artifacts: null,
                                 release: null,
                                 component: null,
                                 relative_path: null)
```


